# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::RayIntersectionGeometry Class Reference

The RayIntersectionGeometry encapsulates all the information relative to a Ray/Actor intersection, providing also extra information relative to the intersection on the Geometry in use by the Actor. More...

`#include <RayIntersector.hpp>`

Inheritance diagram for vl::RayIntersectionGeometry:

List of all members.

## Public Member Functions

| RayIntersectionGeometry ()
Geometry * | geometry ()
| The intersected Geometry.
const Geometry * | geometry () const
| The intersected Geometry.
DrawCall * | drawCalls ()
| The intersected DrawCall.
const DrawCall * | drawCalls () const
| The intersected DrawCall.
int | triangleIndex () const
| The starting index of the intersected primitive inside drawCalls()
const int * | triangle () const
| An int[3] representing the indices of the intersected triangle.
void | setGeometry (Geometry *g)
| The intersected Geometry.
void | setPrimitives (DrawCall *p)
| The intersected DrawCall.
void | setTriangleIndex (int t_idx)
| The starting index of the intersected primitive inside drawCalls()
void | setTriangle (int a, int b, int c)
| An int[3] representing the indices of the intersected triangle.

## Protected Attributes

vec3 | mIntersectionPoint
Geometry * | mGeometry
DrawCall * | mDrawCalls
int | mTriangleIndex
int | mTriangle [3]
float | mDistance

## Detailed Description

The RayIntersectionGeometry encapsulates all the information relative to a Ray/Actor intersection, providing also extra information relative to the intersection on the Geometry in use by the Actor.

Definition at line 87 of file RayIntersector.hpp.

## Constructor & Destructor Documentation

vl::RayIntersectionGeometry::RayIntersectionGeometry | ( | ) | `[inline]`

Definition at line 92 of file RayIntersector.hpp.

References mTriangle, and VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

Geometry* vl::RayIntersectionGeometry::geometry | ( | ) | `[inline]`

The intersected Geometry.

Definition at line 99 of file RayIntersector.hpp.

References mGeometry.

const Geometry* vl::RayIntersectionGeometry::geometry | ( | ) | const`[inline]`

The intersected Geometry.

Definition at line 101 of file RayIntersector.hpp.

References mGeometry.

DrawCall* vl::RayIntersectionGeometry::drawCalls | ( | ) | `[inline]`

The intersected DrawCall.

Definition at line 103 of file RayIntersector.hpp.

References mDrawCalls.

const DrawCall* vl::RayIntersectionGeometry::drawCalls | ( | ) | const`[inline]`

The intersected DrawCall.

Definition at line 105 of file RayIntersector.hpp.

References mDrawCalls.

int vl::RayIntersectionGeometry::triangleIndex | ( | ) | const`[inline]`

The starting index of the intersected primitive inside drawCalls()

Definition at line 107 of file RayIntersector.hpp.

References mTriangleIndex.

const int* vl::RayIntersectionGeometry::triangle | ( | ) | const`[inline]`

An int[3] representing the indices of the intersected triangle.

Definition at line 109 of file RayIntersector.hpp.

References mTriangle.

void vl::RayIntersectionGeometry::setGeometry | ( | Geometry * | g ) | `[inline]`

The intersected Geometry.

Definition at line 112 of file RayIntersector.hpp.

References mGeometry.

void vl::RayIntersectionGeometry::setPrimitives | ( | DrawCall * | p ) | `[inline]`

The intersected DrawCall.

Definition at line 114 of file RayIntersector.hpp.

References mDrawCalls.

void vl::RayIntersectionGeometry::setTriangleIndex | ( | int | t_idx ) | `[inline]`

The starting index of the intersected primitive inside drawCalls()

Definition at line 116 of file RayIntersector.hpp.

References mTriangleIndex.

void vl::RayIntersectionGeometry::setTriangle | ( | int | a,
|  | int | b,
|  | int | c
| ) |  | `[inline]`

An int[3] representing the indices of the intersected triangle.

Definition at line 118 of file RayIntersector.hpp.

References mTriangle.

## Member Data Documentation

vec3 vl::RayIntersectionGeometry::mIntersectionPoint`[protected]`

Reimplemented from vl::RayIntersection.

Definition at line 121 of file RayIntersector.hpp.

Geometry* vl::RayIntersectionGeometry::mGeometry`[protected]`

Definition at line 122 of file RayIntersector.hpp.

Referenced by geometry(), and setGeometry().

DrawCall* vl::RayIntersectionGeometry::mDrawCalls`[protected]`

Definition at line 123 of file RayIntersector.hpp.

Referenced by drawCalls(), and setPrimitives().

int vl::RayIntersectionGeometry::mTriangleIndex`[protected]`

Definition at line 124 of file RayIntersector.hpp.

Referenced by setTriangleIndex(), and triangleIndex().

int vl::RayIntersectionGeometry::mTriangle[3]`[protected]`

Definition at line 125 of file RayIntersector.hpp.

Referenced by RayIntersectionGeometry(), setTriangle(), and triangle().

float vl::RayIntersectionGeometry::mDistance`[protected]`

Reimplemented from vl::RayIntersection.

Definition at line 126 of file RayIntersector.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RayIntersector.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:44.
Permission is granted to use this page to write and publish articles regarding Visualization Library.